---
import type { Resume } from '@alexlab-cloud/jsonresume-utils';

interface Props {
  resume: Resume;
}

const { resume } = Astro.props;
---

<!doctype html>
<html lang="en">
  <head>
    <!-- Page Information
		  –––––––––––––––––––––––––––––––––––––––––––––––––– -->
    <meta charset="utf-8" />
    <title>{resume.basics.name}</title>
    <meta name="description" content={resume.basics.name + "'s resume"} />
    <meta name="author" content={resume.basics.name} />
    <meta name="generator" content={Astro.generator} />

    <!-- Mobile Specific Metas
		  –––––––––––––––––––––––––––––––––––––––––––––––––– -->

    <meta name="viewport" content="width=device-width, initial-scale=1" />

    <!-- Favicon
		  –––––––––––––––––––––––––––––––––––––––––––––––––– -->
    <link rel="apple-touch-icon" sizes="180x180" href="favicons/apple-touch-icon.png" />
    <link rel="icon" type="image/png" sizes="32x32" href="favicons/favicon-32x32.png" />
    <link rel="icon" type="image/png" sizes="16x16" href="favicons/favicon-16x16.png" />
    <link rel="manifest" href="favicons/site.webmanifest" />
  </head>
  <body>
    <slot />
  </body>
</html>
